Deactivate a radar
curl --request DELETE \
--url https://api.tamradar.com/v1/radars/{radar_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tamradar.com/v1/radars/{radar_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tamradar.com/v1/radars/{radar_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"timestamp": "2024-03-20T10:15:30.000Z",
"message": "Radar deactivation initiated - service will continue until the end of the current billing cycle",
"data": {
"radar_id": "123e4567-e89b-12d3-a456-426614174000",
"radar_type": "company_new_hires",
"domain": "example.com",
"created_at": "2024-03-20T10:00:00.000Z",
"deactivated_at": "2024-03-20T10:15:00.000Z",
"next_charge_at": "2024-04-20T10:00:00.000Z",
"webhook_url": "https://your-webhook.com/endpoint",
"radar_status": "inactive",
"custom_fields": {
"department": "engineering",
"notes": "Track engineering hires"
}
}
}API Reference
Deactivate Radar
Deactivate a radar by ID.
DELETE
/
v1
/
radars
/
{radar_id}
Deactivate a radar
Authorizations
Path Parameters
The unique identifier of the radar to delete
⌘I